Package ru.bitel.bgbilling.kernel.module.server.bean

# Class ModuleManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.module.server.bean.ModuleManager

public class ModuleManager extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModuleManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addModule(BGInstalledModule module, String title, int userId)`
  `void`
  `deleteInstalledComponent(String name)`
  `void`
  `deleteModule(BGInstalledModule module, int id)`
  `List<String>`
  `getInstalledModules()`
  Возвращает список имен установленных модулей.
  `List<BGInstalledModule>`
  `getInstalledModules(ru.bitel.bgbilling.kernel.module.common.enums.ComponentType... types)`
  Возвращает список установленных модулей и плагинов с фильтром по типу.
  `BGModule`
  `getModule(int id)`
  Возвращает экземпляр модуля по его коду.
  `static int`
  `getModuleIdByName(String moduleName)`
  Получает айдишник экземпляра модуля по его имени.
  `List<BGModule>`
  `getModules()`
  Возвращает список всех экземпляров модуля с сортировкой что npay оказывается последним.
  `List<BGModule>`
  `getModules(String name)`
  Возвращает список экземпляров модуля с сортировкой по названию.
  `Map<Integer,BGModule>`
  `getModulesMap()`
  Возвращает Map с экземплярами модулей по их коду.
  `void`
  `updateModule(BGModule bgModule)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModuleManager

    public ModuleManager(Connection con)

- ## Method Details

  - ### getModuleIdByName

    public static int getModuleIdByName(String moduleName)
    Получает айдишник экземпляра модуля по его имени. Если такого нету или их больше 1, то возвращает 0. Используется кеш.

  - ### getModules

    public List<BGModule> getModules(String name) throws Exception
    Возвращает список экземпляров модуля с сортировкой по названию.
    Parameters:
      `name` - имя модуля, если null - возвращаются все экземпляры модулей.
    Returns:
    Throws:
      `Exception`

  - ### getModules

    public List<BGModule> getModules() throws Exception
    Возвращает список всех экземпляров модуля с сортировкой что npay оказывается последним.
    Returns:
    Throws:
      `Exception`

  - ### getModule

    public BGModule getModule(int id) throws Exception
    Возвращает экземпляр модуля по его коду.
    Parameters:
      `id` - код экземпляра модуля
    Returns:
    Throws:
      `Exception`

  - ### getModulesMap

    public Map<Integer,BGModule> getModulesMap() throws Exception
    Возвращает Map с экземплярами модулей по их коду.
    Returns:
    Throws:
      `Exception`

  - ### addModule

    public int addModule(BGInstalledModule module, String title, int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateModule

    public void updateModule(BGModule bgModule) throws Exception
    Throws:
      `Exception`

  - ### deleteModule

    public void deleteModule(BGInstalledModule module, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getInstalledModules

    public List<String> getInstalledModules() throws Exception
    Возвращает список имен установленных модулей.
    Returns:
    Throws:
      `Exception`

  - ### getInstalledModules

    public List<BGInstalledModule> getInstalledModules(ru.bitel.bgbilling.kernel.module.common.enums.ComponentType... types) throws Exception
    Возвращает список установленных модулей и плагинов с фильтром по типу.
    Parameters:
      `types` - типы.
    Returns:
    Throws:
      `Exception`

  - ### deleteInstalledComponent

    public void deleteInstalledComponent(String name) throws Exception
    Throws:
      `Exception`